Wednesday, May 14, 2014

Autodesk is getting into hardware!

Today Autodesk announced that they will offer a 3D printer and 3D printing software called Spark!

"Spark will be open and freely licensable to hardware manufacturers and others who are interested. Same for our 3D printer – the design of the printer will be made publicly available to allow for further development and experimentation. The printer will be able to use a broad range of materials, made by us and by others, and we look forward to lots of exploration into new materials."


For more information go to Spark

Friday, February 28, 2014

Projecting Objects to Multiple Section Views

If you have ever wanted to display an easement line or right-of-way line in multiple section views, here is a quick and easy way of doing that.

First, I am going to assume that if you are reading this article that you have multiple sections views, and right-of-way or easement lines that you would like projected to them. There are several different ways you can project objects to your sections views, but for this example I will use the 3D polyline method.





Assume that the red line above is a right-of-way line that you would like to project. You can NCOPY this into your corridor file (if it is being referenced in) and it is most likely a polyline so all we have to do is convert it from a 2D polyline to a 3D polyline. So in your ribbon go to the Modify tab. Then select Convert 2D to 3D Polylines.


Simple enough, now just click on any section view and in the ribbon choose Project Objects To Multiple Section Views.



You should see the dialog box below. Now just check the box for 3D polylines, set your Style, Elevation Options, and Label Style. You can see here all the different options that you have available to you for projecting objects to your sections views. But for now we are going to use 3D Polylines.


Once you hit ok you should see your projected right-of-way or easement line in each of your section views using your selected label style.







Thursday, January 23, 2014

Quick Tip: Blank Fields

Here is a quick tip on working with fields. If you leave fields blank you see this "----" in your print out, and if you just delete the text then you lose your field. So what you end up having to do is put some character in there to keep your fields visible (like a period) but if you want a truly blank field that is still selectable just put "%%" in your field!

Tuesday, December 3, 2013

Civil 3D Tip: Change Styles Quickly

I'm sure everyone is either at AU or keeping up with everything from AU with your preferred social media, but here is a quick Civil 3D tip. If you use Civil 3D chances are that you change styles and change them often, try changing them quicker by going to the Settings tab in the Prospector, go to your style that you would like to change, and right-click then select Replace with...



Then just select the style that you would like to replace it with in the dialog box.


This will change the style of every Civil 3D object using the previous style.

Thursday, November 21, 2013

Create a layer filter for Non-xrefed layers!

Occasionally I work with a lot of layers and a lot of xrefs and it gets pretty annoying when I am scrolling the the layer properties manager looking for a specific layer. But that's why we have layer filters!

Here is a "No Xref" filter that will hide all the xref layers. First, go into your layer properties manager and hit Alt+P or click on the New Property Filter icon at the top.



Now in the layer filter properties dialog box give your filter a name, something original like "No Xref". Then under filter definition in the Name column put ~*|*. This will display all of your layers without the "|" symbol which is in every xref layer.


Monday, September 30, 2013

#30n30 - Fix This Crap!!

Okay, This is not a real command.  This handy little lisp command will deploy three commands at once, _setbylayer, _Purge, and _audit.  Great way to fix all the crap in a drawing.

Enjoy!

(defun C:fixthiscrap ()
(command "setbylayer" "all" "" "y" "y")
(princ)
(command "-purge" "a" "" "n")
(princ)
(command "audit" "y")
(princ)

#30n30 - Object Isolation

No, it’s not the same as Layer Isolation, it’s object isolation. You can isolate one or more objects even if they are located on a different layer. 

1. Select the objects to isolate.

clip_image002 

2. At the bottom right corner of the software, you will see a little light icon. Selecting the icon will give the ability to hide or isolate the objects selected. 

clip_image004 

3. The little light icon will now turn red telling you that you have objects in your drawing that are not displayed.
  
4. To show all the objects, simply select the light icon.